//-------------------------------------------------------------------------------
// DBChair
//-------------------------------------------------------------------------------

datablock StaticShapeData(DBChair : DBObject)
{
   // The category variable determines where the item
   // shows up in the mission editor's creator tree.
   // Path is relative to where the script is executed from.
   category = "Restaurant";
   shapeFile = "~/data/shapes/restaurant/chair_spokes/chair_spokes.dts";
   sitAnim = "sit";
   bitmap = "restaurant/data/shapes/restaurant/chair_spokes/chair_spokes.bmp";
   soundTouch = "~/data/sound/cogmac/knock3.wav";
   noun = "chair";
};

function DBChair::onAdd(%this, %obj) { DBObject::OnAdd(%this, %obj); }
function DBChair::OnSit( %this, %client, %user, %obj ) { DBObject::OnSit( %this, %client, %user, %obj ); }
function DBChair::OnLookAt( %this, %client, %obj ) { DBObject::OnLookAt( %this, %client, %obj ); }
function DBChair::OnEat( %this, %client, %obj ) { DBObject::OnEat( %this, %client, %obj ); }
function DBChair::OnTouch( %this, %client, %user, %obj ) { DBObject::OnTouch( %this, %client, %user, %obj ); }
function DBChair::OnGive( %this, %client, %user, %obj, %target, %pos ) { DBObject::OnGive( %this, %client, %user, %obj, %target, %pos ); }

function DBChair::OnPickup( %this, %client, %user, %obj )
{
   CommandToClient( %client, 'ShowFurnitureGui' );

   COGLOG_STATECHANGE( %client.player, "ATPOS", COGLOG_POS(%client.player.getPosition()) );
   COGLOG_ACTION( %client.player, "PICKUP", %obj );

   SetNarration( %client, "[" @ %client.player.getName() SPC "tried to pick up the" SPC %obj.getDataBlock().noun @ "]" );

   // Play a ding sound.
   %soundDing = "~/data/sound/cogmac/ding.wav";
   PlaySound( %soundDing, %user.getPosition() );
}

//-------------------------------------------------------------------------------

datablock StaticShapeData(DBStool : DBChair)
{
   className = "DBChair";
   shapeFile = "~/data/shapes/restaurant/bar_stool/stool.dts";
   sitAnim = "sit";
   bitmap = "restaurant/data/shapes/restaurant/bar_stool/stool.bmp";
   soundTouch = "~/data/sound/cogmac/knock3.wav";
   noun = "stool";
};


















