//-------------------------------------------------------------------------------
// TUTORIAL
//-------------------------------------------------------------------------------

datablock GameBaseData(DBTutorial)
{
   dummy = true;
};

function DBTutorial::InitializeTutorial( %this )
{
   dlgTutorial.tutor.nextObjectiveIndex = -1;
   COGLOG_EVENT( null, "TUTORIALSTARTED", "NULL" );

   %this.SetObjective( 0, "EVENT", "ENTERED", "kitchenTrigger(RegionTrigger)" );
   
   schedule( 1000, 0, SetupTutorial );

   dlgTutorial.tutor.isComplete = false;

   txtTutorial1.setText( "WELCOME TO THE RESTAURANT GAME TUTORIAL." );
   txtTutorial2.setText( "THIS TUTORIAL WILL TEACH YOU HOW THE CONTROLS" );
   txtTutorial3.setText( "WORK BEFORE WE BEGIN THE MULTIPLAYER GAME." );
   txtTutorial4.setText( "" );
   txtTutorial5.setText( "  MOVING THE CHARACTER" );
   txtTutorialU.setText( "________________________" );
   txtTutorial6.setText( "MOVE THE MOUSE TO ROTATE YOUR BODY." );
   txtTutorial7.setText( "HOLD DOWN THE RIGHT MOUSE BUTTON TO MOVE FORWARD" );
   txtTutorial8.setText( "IN THE DIRECTION YOU ARE FACING." );
   txtTutorial9.setText( "OR YOU MAY USE THE ARROW KEYS TO MOVE AROUND." );
   txtTutorial10.setText( "TRY MOVING INTO THE KITCHEN . . ." );
   bmpTutorial.setVisible(false);
   bmpTutorialMouse.setVisible(true);
   bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64.jpg" );
   bmpTutorial.setVisible(true);
   bmpTutorial.setBitmap( "restaurant/data/buttons/arrows.png" );
   bmpTutorial2.setVisible(false);
}

function SetupTutorial()
{
   %salad = nameToID("chef_salad_bite3");
   %salad.setDataBlock(DBSalad_Bite1);

   %salmon = nameToID("salmon_bite3");
   %salmon.setDataBlock(DBSalmon_Bite1);
}

function DBTutorial::UpdateTutorial( %this, %text )
{
   if( %this.MetObjective( %text ) )
   {
      echo( "TUTORIAL OBJECTIVE MET:" SPC %text );
      %this.AdvanceTutorial();
   }
}

function DBTutorial::SetObjective( %this, %index, %match0, %match1, %match2 )
{
   dlgTutorial.tutor.nextObjectiveIndex = %index;
   dlgTutorial.tutor.nextObjectiveMatch[0] = %match0;
   dlgTutorial.tutor.nextObjectiveMatch[1] = %match1;
   dlgTutorial.tutor.nextObjectiveMatch[2] = %match2;
}

function DBTutorial::MetObjective( %this, %text )
{
   if( dlgTutorial.tutor.nextObjectiveIndex < 0 ) return false;

   for( %i=0; %i < 3; %i++ )
   {
      if( dlgTutorial.tutor.nextObjectiveMatch[%i] $= "NULL" ) return true;
      if( strstr( %text, dlgTutorial.tutor.nextObjectiveMatch[%i] ) == -1 ) return false;
   }

   return true;
}

function DBTutorial::AdvanceTutorial( %this )
{
   switch( dlgTutorial.tutor.nextObjectiveIndex )
   {
      case 0:
         %this.SetObjective( 1, "ACTION", "TOUCH", "(DBMicrowave)" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "GOOD. YOU ARE IN THE KITCHEN." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  USING OBJECTS" );
         txtTutorialU.setText( "_________________" );
         txtTutorial6.setText( "NEXT WE'LL TRY USING THE MICROWAVE." );
         txtTutorial7.setText( "HIGHLIGHT THE MICROWAVE WITH THE MOUSE CURSOR." );
         txtTutorial8.setText( "WHEN YOU SEE THE GREEN CIRCLE AROUND IT, CLICK" );
         txtTutorial9.setText( "IT WITH THE LEFT MOUSE BUTTON. PRESS THE \"USE\"" );
         txtTutorial10.setText( "BUTTON ON THE INTERFACE THAT APPEARS." );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_touch_d.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         break;

      case 1:
         %this.SetObjective( 2, "ACTION", "LOOKAT", "(DBBartender)" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "WELL DONE. YOU OPERATED THE MICROWAVE." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  LOOKING AT PEOPLE AND OBJECTS" );
         txtTutorialU.setText( "_________________________________" );
         txtTutorial6.setText( "EXIT THE KITCHEN AND WALK TO THE BAR TO GET A" );
         txtTutorial7.setText( "CLOSER LOOK AT THE BARTENDER. HIGHLIGHT THE" );
         txtTutorial8.setText( "BARTENDER WITH THE MOUSE CURSOR. THEN CLICK ON" );
         txtTutorial9.setText( "HIM WITH THE LEFT MOUSE BUTTON. PRESS THE" );
         txtTutorial10.setText( "\"LOOK AT\" BUTTON ON THE INTERFACE THAT APPEARS." );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_look_d.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         break;

      case 2:
         %this.SetObjective( 3, "ACTION", "SIT", "(DBChair)" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "FANTASTIC. YOU CAN CLICK \"OK\" AFTER HAVING A LOOK." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  SITTING ON OBJECTS" );
         txtTutorialU.setText( "______________________" );
         txtTutorial6.setText( "HAVE SEAT AT THE ONLY TABLE WITH FOOD ON IT." );
         txtTutorial7.setText( "HIGHLIGHT ONE OF THE CHAIRS AT THE TABLE WITH" );
         txtTutorial8.setText( "THE MOUSE CURSOR. THEN CLICK THE LEFT MOUSE BUTTON." );
         txtTutorial9.setText( "PRESS THE \"SIT\" BUTTON ON THE INTERFACE THAT APPEARS." );
         txtTutorial10.setText( "" );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_sit_d.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         break;

      case 3:
         %this.SetObjective( 4, "ACTION", "EAT", "_Bite2)" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "FABULOUS. YOU ARE NOW SITTING IN A CHAIR." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  EATING OBJECTS" );
         txtTutorialU.setText( "__________________" );
         txtTutorial6.setText( "IT'S TIME TO EAT." );
         txtTutorial7.setText( "HIGHLIGHT ONE OF THE PLATES WITH THE MOUSE CURSOR." );
         txtTutorial8.setText( "THEN CLICK THE LEFT MOUSE BUTTON." );
         txtTutorial9.setText( "PRESS THE \"EAT\" BUTTON ON THE INTERFACE THAT" );
         txtTutorial10.setText( "APPEARS. TAKE A COUPLE BITES OF THE FOOD." );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_eat_d.jpg" );
         bmpTutorial2.setVisible(false);
         bmpTutorialMouse2.setVisible(false);
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         break;

      case 4:
         %this.SetObjective( 5, "ACTION", "GETOFF", "(DBChair)" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "MMMMM. THAT FOOD WAS TASTY." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  STANDING UP" );
         txtTutorialU.setText( "_______________" );
         txtTutorial6.setText( "GET UP FROM THE CHAIR BY FACING AWAY FROM THE TABLE," );
         txtTutorial7.setText( "AND THEN MOVING WITH THE RIGHT MOUSE BUTTON," );
         txtTutorial8.setText( "OR WITH THE ARROW KEYS." );
         txtTutorial9.setText( "" );
         txtTutorial10.setText( "" );
         bmpTutorial.setVisible(false);
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64.jpg" );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/arrows.png" );
         break;

      case 5:
         %this.SetObjective( 6, "ACTION", "PICKUP", "(DBCuisinart)" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "EXCELLENT. YOU ARE STANDING UP." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  PICKING UP OBJECTS" );
         txtTutorialU.setText( "______________________" );
         txtTutorial6.setText( "NOW LET'S PICK SOMETHING UP." );
         txtTutorial7.setText( "HIGHLIGHT THE CUISINART FOOD PROCESSOR IN THE KITCHEN" );
         txtTutorial8.setText( "WITH THE MOUSE CURSOR, AND THEN CLICK IT WITH THE LEFT" );
         txtTutorial9.setText( "MOUSE BUTTON. PRESS THE \"PICKUP\" BUTTON ON THE" );
         txtTutorial10.setText( "INTERFACE THAT APPEARS." );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_pickup_d.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         bmpTutorial2.setVisible(true);
         bmpTutorial2.setBitmap( "restaurant/data/shapes/restaurant/cuisinart/cuisinart_small.bmp" );
         break;

      case 6:
         %this.SetObjective( 7, "STATECHANGE", "(DBCuisinart)", "ON=\"table" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "PERFECT. YOU ARE HOLDING THE CUISINART. LOOK DOWN" );
         txtTutorial3.setText( "AND YOU WILL SEE THE CUISINART IN YOUR RIGHT HAND." );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  PUTTING DOWN OBJECTS" );
         txtTutorialU.setText( "________________________" );
         txtTutorial6.setText( "LET'S PUT THIS CUISINART DOWN ON A DINNER TABLE." );
         txtTutorial7.setText( "HIGHLIGHT THE CUISINART WITH THE MOUSE CURSOR. THEN" );
         txtTutorial8.setText( "CLICK THE LEFT MOUSE BUTTON. PRESS THE \"PUT DOWN\"" );
         txtTutorial9.setText( "BUTTON ON THE INTERFACE. NEXT WALK TO ANY TABLE" );
         txtTutorial10.setText( "AND CLICK THE PUT DOWN CURSOR ON THE DROP LOCATION." );

         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_putdown_d.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         bmpTutorial2.setVisible(false);
         break;

      case 7:
         %this.SetObjective( 8, "STATECHANGE", "DELETED", "TRUE" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "NICELY DONE. IN THE MULTIPLAYER GAME," );
         txtTutorial3.setText( "YOU CAN ALSO GIVE OBJECTS TO OTHER PLAYERS." );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  CLEANING UP DISHES" );
         txtTutorialU.setText( "______________________" );
         txtTutorial6.setText( "THE STAFF WILL TAKE CARE OF THE DIRTY DISHES." );
         txtTutorial7.setText( "SIMPLY DROP DIRTY DISHES AND GLASSES ON THE" );
         txtTutorial8.setText( "BAR OR THE KITCHEN COUNTER, AND SOMEONE WILL" );
         txtTutorial9.setText( "CLEAN THEM UP. PICK UP YOUR DIRTY DISH FROM" );
         txtTutorial10.setText( "THE TABLE AND DROP IT ON THE KITCHEN COUNTER." );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_putdown_d.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         bmpTutorial2.setVisible(true);
         bmpTutorialMouse2.setVisible(true);
         bmpTutorial2.setBitmap( "restaurant/data/buttons/button_give_d.jpg" );
         break;

      case 8:
         %this.SetObjective( 9, "ACTION", "PICKUP", "(DBMenu)" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "ALL CLEAN." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  PICKING UP THE MENU" );
         txtTutorialU.setText( "_______________________" );
         txtTutorial6.setText( "LET'S SEE WHAT THIS RESTAURANT HAS TO OFFER." );
         txtTutorial7.setText( "AVAILABLE ITEMS ARE LISTED IN THE MENU, AND" );
         txtTutorial8.setText( "TODAY'S SPECIALS ARE POSTED ON THE WALL." );
         txtTutorial9.setText( "PICK UP A MENU FROM THE PODIUM, BY" );
         txtTutorial10.setText( "BY CLICKING THE \"PICK UP\" BUTTON." );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_pickup_d.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         bmpTutorial2.setVisible(false);
         bmpTutorialMouse2.setVisible(false);
         break;

      case 9:
         %this.SetObjective( 10, "ACTION", "LOOKAT", "(DBMenu)" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "GOOD. YOU ARE HOLDING A MENU." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  READING THE MENU" );
         txtTutorialU.setText( "____________________" );
         txtTutorial6.setText( "NOW LET'S READ THE MENU BY CLICKING THE" );
         txtTutorial7.setText( "\"LOOK AT\" BUTTON" );
         txtTutorial8.setText( "" );
         txtTutorial9.setText( "" );
         txtTutorial10.setText( "" );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_look_d.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         break;

      case 10:
         %this.SetObjective( 11, "STATECHANGE", "(DBMenu) DELETED", "TRUE" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "GREAT. YOU CAN CLICK \"OK\" AFTER READING THE MENU." );
         txtTutorial3.setText( "DON'T FORGET TO LOOK AT THE SPECIALS ON THE WALL TOO." );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  RETURNING A MENU" );
         txtTutorialU.setText( "____________________" );
         txtTutorial6.setText( "PUT THE MENU DOWN ON THE PODIUM'S MENU BOX AND" );
         txtTutorial7.setText( "IT WILL DISAPPEAR INTO THE BOX. TO DO THIS," );
         txtTutorial8.setText( "CLICK THE MENU WITH THE LEFT MOUSE BUTTON." );
         txtTutorial9.setText( "THEN CLICK THE \"PUT DOWN\" BUTTON. NEXT" );
         txtTutorial10.setText( "CLICK THE PUT DOWN CURSOR ON THE MENU BOX." );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_putdown_d.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         break;

      case 11:
         %this.SetObjective( 12, "SPEECHACT", "NULL", "NULL" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "OK. THE MENU BACK IN THE MENU BOX." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  CHATTING WITH OTHER PLAYERS" );
         txtTutorialU.setText( "_______________________________" );
         txtTutorial6.setText( "YOU CAN CHAT WITH OTHER PLAYERS AT ANY TIME" );
         txtTutorial7.setText( "BY TYPING TEXT AND PRESSING THE RETURN KEY." );
         txtTutorial8.setText( "NOTE - IF YOU ARE NOT FACING THE OTHER PLAYER," );
         txtTutorial9.setText( "THEY WILL NOT BE ABLE TO HEAR YOU CLEARLY." );
         txtTutorial10.setText( "PRACTICE CHATTING WITH SOMEONE NOW." );
         bmpTutorial.setVisible(false);
         bmpTutorialMouse.setVisible(false);
         break;

      case 12:
         %resolution = PlayGui.getExtent();
         %resX = getWord(%resolution, 0);
         bmpChatOtherText.setPosition( 0, 0 );
         bmpChatOtherText.setExtent( %resX, 66 );
         bmpChatOtherText.setVisible( true );
         txtChatOtherSmall.setVisible( true );
         txtChatOtherSmall.setPosition( 0, -6 );
         txtChatOtherSmall.setText( "CHAT TEXT FROM OTHER PLAYERS APPEARS HERE" );

         %this.SetObjective( 13, "STATECHANGE", "dynamic", "ON=\"bar" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "CHAT TEXT FROM OTHER PLAYERS WILL APPEAR AT" );
         txtTutorial3.setText( "THE TOP OF YOUR SCREEN IN RED." );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  ORDERING MENU ITEMS" );
         txtTutorialU.setText( "_______________________" );
         txtTutorial6.setText( "THE CHEF AND THE BARTENDER DO NOT HAVE MUCH TO" );
         txtTutorial7.setText( "SAY, BUT IF YOU ASK THEM FOR ITEMS FROM THE MENU" );
         txtTutorial8.setText( "THEY WILL SERVE THEM UP PROMPTLY." );
         txtTutorial9.setText( "GO TO THE BAR AND PRACTICE ORDERING A DRINK BY TYPING :" );
         txtTutorial10.setText( "CAN I GET A BEER?" );
         bmpTutorial.setVisible(false);
         break;

      case 13:
         bmpChatOtherText.setVisible( false );
         txtChatOtherSmall.setVisible( false );

         %this.SetObjective( 14, "STATECHANGE", "dynamic", "ON=\"counter" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "THERE YOU GO. YOUR BEER IS ON THE BAR." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  ORDERING MENU ITEMS" );
         txtTutorialU.setText( "_______________________" );
         txtTutorial6.setText( "NOW GO TO THE KITCHEN COUNTER AND PRACTICE ORDERING" );
         txtTutorial7.setText( "FOOD BY TYPING :" );
         txtTutorial8.setText( "STEAK AND SALAD PLEASE" );
         txtTutorial9.setText( "" );
         txtTutorial10.setText( "" );
         bmpTutorial.setVisible(false);
         break;

      case 14:
         %this.SetObjective( 15, "STATECHANGE", "(DBBill) DELETED", "TRUE" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "FIND YOUR DISHES ON THE COUNTER, AND FEEL FREE TO TAKE A BITE." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  DEPOSITING CHECKS" );
         txtTutorialU.setText( "_____________________" );
         txtTutorial6.setText( "THE PLAYER WHO DEPOSITS A CHECK EARNS MONEY FROM IT." );
         txtTutorial7.setText( "FIND THE CHECK THAT IS SITTING ON A TABLE." );
         txtTutorial8.setText( "PICK UP THE CHECK AND TAKE IT TO THE CASH REGISTER." );
         txtTutorial9.setText( "PUT THE CHECK DOWN ON THE REGISTER TO DEPOSIT" );
         txtTutorial10.setText( "THE CHECK AND EARN MONEY." );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_putdown_d.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         break;

      case 15:
         %this.SetObjective( 16, "ACTION", "SPAWN", "(DBBill)" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "GOOD JOB. YOU EARNED SOME MONEY." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  CREATING CHECKS" );
         txtTutorialU.setText( "_____________________" );
         txtTutorial6.setText( "YOU CAN USE THE CASH REGISTER TO CREATE NEW CHECKS." );
         txtTutorial7.setText( "CLICK THE CASH REGISTER, THEN CLICK THE \"USE\" BUTTON." );
         txtTutorial8.setText( "FILL OUT THE FORM WITH MENU ITEMS, AND CLICK \"OK\"." );
         txtTutorial9.setText( "THE CHECK WILL APPEAR TO THE RIGHT OF THE REGISTER." );
         txtTutorial10.setText( "" );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/button_touch_d.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         break;

      case 16:
         %this.SetObjective( 17, "ACTION", "PAY", "(DBBill)" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "VOILA. THE NEW CHECK IS SITTING TO THE RIGHT OF THE REGISTER." );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "" );
         txtTutorial5.setText( "  PAYING CHECKS" );
         txtTutorialU.setText( "_____________________" );
         txtTutorial6.setText( "YOU CAN PAY A CHECK BY LOOKING AT THE CHECK," );
         txtTutorial7.setText( "AND USING THE ARROW BUTTONS TO ADD A TIP." );
         txtTutorial8.setText( "THEN CLICK THE \"PAY BILL\" BUTTON TO" );
         txtTutorial9.setText( "AUTOMATICALLY DEBIT YOUR BANK ACCOUNT." );
         txtTutorial10.setText( "" );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/buttons/tip.jpg" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64_l.jpg" );
         break;

      case 17:
         %this.SetObjective( 18, "DUMMY", "DUMMY", "DUMMY" );
         txtTutorial1.setText( "" );
         txtTutorial2.setText( "CONGRATULATIONS. YOU HAVE COMPLETED THE TUTORIAL" );
         txtTutorial3.setText( "" );
         txtTutorial4.setText( "SPEND SOME TIME EXPLORING THE RESTAURANT ENVIRONMENT." );
         txtTutorial5.setText( "MOVE THINGS, USE THINGS, LOOK AT THINGS, SIT ON THINGS," );
         txtTutorialU.setVisible(false);
         txtTutorial6.setText( "AND EAT THINGS." );
         txtTutorial7.setText( "" );
         txtTutorial8.setText( "WHEN YOU ARE FINISHED EXPLORING AND YOU FEEL" );
         txtTutorial9.setText( "COMFORTABLE WITH THE CONTROLS, WALK OUTSIDE TO" );
         txtTutorial10.setText( "THE 'OBJECTIVE COMPLETE' SQUARE ON THE SIDEWALK." );
         bmpTutorial.setVisible(true);
         bmpTutorial.setBitmap( "restaurant/data/shapes/restaurant/exit_pad/objective_flip.PNG" );
         bmpTutorialMouse.setVisible(true);
         bmpTutorialMouse.setBitmap( "restaurant/data/buttons/mouse64.jpg" );
         linkLibrary("multilinear");
         break;
   }
}








